Bug 80375 - Mozilla will segfault without giving any hint what is wrong.
Mozilla will segfault without giving any hint what is wrong.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
9
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-25 06:10 EST by Ivo Sarak
Modified: 2008-01-17 12:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:05:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2002-12-25 06:10:39 EST
Description of problem:  
  
After upgrade from RedHat 8.0 to RedHat 8.0.92 I can not start Mozilla. 
It will not bring up the Mozilla window and some time later there is message 
about "Segmentation fault": 
 
[IS@haskaa IS]$ mozilla 
Segmentation fault 
[IS@haskaa IS]$ 
 
 
How reproducible:  
  
Every time.  
  
Steps to Reproduce:  
  
Upgrade from Red Hat 8.0 to RedHat Public Beta Phoebe.  
  
Actual results:  
  
Mozilla will not start up anymore! 
  
Expected results:  
  
Mozilla happily running... 
  
Additional info:  
  
[IS@haskaa IS]$ rpm -qa|grep mozilla 
mozilla-devel-1.2.1-3 
mozilla-mail-1.2.1-3 
mozilla-1.2.1-3 
mozilla-nss-1.2.1-3 
mozilla-js-debugger-1.2.1-3 
mozilla-dom-inspector-1.2.1-3 
mozilla-nspr-devel-1.2.1-3 
mozilla-psm-1.2.1-3 
mozilla-nspr-1.2.1-3 
mozilla-chat-1.2.1-3 
mozilla-nss-devel-1.2.1-3 
[IS@haskaa IS]$ 
 
(Deletion of .mozilla directory did not help.)  
 
How to fix the issue?
Comment 1 Warren Togami 2002-12-25 06:57:17 EST
Does this happen with a newly created user with default mozilla preferences?
Comment 2 Ivo Sarak 2002-12-25 07:12:31 EST
Yes.
Comment 3 Ivo Sarak 2002-12-26 07:38:14 EST
I "fixed" the issue by downloading Mozilla & Galeon by hand and reinstalling
these again.

[root@haskaa galeon]# ls -la
total 18776
drwxrwxr-x    2 IS       IS           4096 Dec 23 23:58 .
drwxrwxr-x    4 IS       IS           4096 Dec 23 23:58 ..
-rw-rw-r--    1 IS       IS        2522440 Dec 23 23:58 galeon-1.2.7-0.i386.rpm
-rw-r--r--    1 IS       IS        9258038 Dec 23 23:58 mozilla-1.2.1-3.i386.rpm
-rw-r--r--    1 IS       IS         112915 Dec 23 23:58
mozilla-chat-1.2.1-3.i386.rpm
-rw-r--r--    1 IS       IS        3192103 Dec 23 23:58
mozilla-devel-1.2.1-3.i386.rpm
-rw-r--r--    1 IS       IS         224638 Dec 23 23:58
mozilla-dom-inspector-1.2.1-3.i386.rpm
-rw-r--r--    1 IS       IS         235429 Dec 23 23:58
mozilla-js-debugger-1.2.1-3.i386.rpm
-rw-r--r--    1 IS       IS        1903379 Dec 23 23:58
mozilla-mail-1.2.1-3.i386.rpm
-rw-r--r--    1 IS       IS          94561 Dec 23 23:58
mozilla-nspr-1.2.1-3.i386.rpm
-rw-r--r--    1 IS       IS         174450 Dec 23 23:58
mozilla-nspr-devel-1.2.1-3.i386.rpm
-rw-r--r--    1 IS       IS         630340 Dec 23 23:58 mozilla-nss-1.2.1-3.i386.rpm
-rw-r--r--    1 IS       IS         470142 Dec 23 23:58
mozilla-nss-devel-1.2.1-3.i386.rpm
-rw-r--r--    1 IS       IS         319013 Dec 23 23:58 mozilla-psm-1.2.1-3.i386.rpm
[root@haskaa galeon]# rpm -Uvh --force *.rpm

Unfortunately this is a temporary solution as when Galeon "goes nuts"
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=80376), it will bring down
Mozilla with itself and to get Mozilla working again it has to be "rpm -Uvh
--force *.rpm"'d again.
Comment 4 Anthony Spinillo 2002-12-28 08:28:10 EST
I have something similiar. Mozilla works fine on a fresh Phoebe install. But
if I use kernel 2.4.21pre1 (from www.kernel.org, works fine on RH 8.0), Mozilla
dies, but when I look at "top" there are numerous mozilla-bin, 
regxpcom, regchrome processess running.

Is there something I should configure on the kernel build?
If you need more info, let me know. I'm stumped.
Thanks!

Tony
Comment 5 Anthony Spinillo 2002-12-28 10:36:45 EST
As a followup, I installed the glibc-2.3.1-21.i386.rpm (rpm --force), and
Mozilla fires up fine with the 2.4.21pre1 from kernel.org.

Thanks!

Tony
Comment 6 Elton Woo 2002-12-28 14:39:56 EST
In my case, I have installed Phoebe from scratch. Upon installing Sun's JRE
(build 1.4.1-b21),
and copying the plugin to  ~/mozilla-1.2.1/plugins, mozila will consistently
abend whenever
I go to http://java.sun.com/products/plugin/1.4.1/demos/applets.html, and click
on any of the
applet links in that page.
Comment 7 Warren Togami 2003-01-21 03:02:50 EST
I have reproduced this often.  I am teaching a high school Java programming
class.  The students are using Linux thin clients (running Phoebe).  Mozilla
crashes often when they visit Java applets.

This may indicate a Java problem, however they found that crashes do not occur
when all letters within the applet tag are changed from lowercase to uppercase.
 I need to test this more to confirm.
Comment 8 Bill Nottingham 2006-08-05 00:40:50 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 10 Bill Nottingham 2007-01-02 14:05:02 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.